Package ghidra.pyghidra.property

# Class BooleanJavaProperty

java.lang.Object
ghidra.pyghidra.property.BooleanJavaProperty

All Implemented Interfaces:
  `JavaProperty<Boolean>`

public final class BooleanJavaProperty extends Object
The `JavaProperty` for the primitive boolean type

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `field`
  The name of the property

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final Boolean`
  `doGet(Object self)`
  `boolean`
  `fget(Object self)`
  The method to be used as the fget value for a Python property.
  `final void`
  `fset(Object self, Boolean value)`
  The method to be used as the fset value for a Python property.
  `boolean`
  `hasGetter()`
  Checks if this property has a getter
  `boolean`
  `hasSetter()`
  Checks if this property has a setter

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### field

    public final String field
    The name of the property

- ## Method Details

  - ### fget

    public boolean fget(Object self) throws Throwable
    The method to be used as the fget value for a Python property. This method will be called by the Python property __get__ function.
    Parameters:
      `self` - the object containing the property
    Returns:
      the property's value
    Throws:
      `Throwable` - if any exception occurs while getting the value

  - ### hasGetter

    public boolean hasGetter()
    Checks if this property has a getter
    Returns:
      true if this property has a getter

  - ### hasSetter

    public boolean hasSetter()
    Checks if this property has a setter
    Returns:
      true if this property has a setter

  - ### doGet

    protected final Boolean doGet(Object self) throws Throwable
    Throws:
      `Throwable`

  - ### fset

    public final void fset(Object self, Boolean value) throws Throwable
    Description copied from interface: `JavaProperty`
    The method to be used as the fset value for a Python property. This method will be called by the Python property __set__ function.
    Specified by:
      `fset` in interface `JavaProperty<T>`
    Parameters:
      `self` - the object containing the property
      `value` - the value to be set
    Throws:
      `Throwable` - if any exception occurs while setting the value